Bug 1321902 (qt5ct) - Review Request: qt5ct - Qt5 Configuration Tool
Summary: Review Request: qt5ct - Qt5 Configuration Tool
Keywords:
Status: CLOSED ERRATA
Alias: qt5ct
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks: qt-reviews
TreeView+ depends on / blocked
 
Reported: 2016-03-29 11:02 UTC by Christian Dersch
Modified: 2016-05-27 23:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-20 23:51:49 UTC
rdieter: fedora-review+


Attachments (Terms of Use)

Description Christian Dersch 2016-03-29 11:02:43 UTC
Spec URL: https://lupinix.fedorapeople.org/review/qt5ct.spec
SRPM URL: https://lupinix.fedorapeople.org/review/qt5ct-0.22-1.fc23.src.rpm

Description: qt5ct allows users to configure Qt5 settings (theme, font, icons, etc.) under DE/WM without Qt integration.

Fedora Account System Username: lupinix

Koji rawhide build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13494152

Thank you very much for review in advance!

Comment 1 Christian Dersch 2016-03-29 12:47:40 UTC
New Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=13494545

Comment 2 Christian Dersch 2016-03-29 15:04:40 UTC
New Koji build to reflect current spec status: http://koji.fedoraproject.org/koji/taskinfo?taskID=13495637

Change: Added BuildRequires: gcc-c++ required by https://fedoraproject.org/wiki/Packaging:C_and_C%2B%2B#BuildRequires_and_Requires

Comment 3 Rex Dieter 2016-04-07 18:57:52 UTC
Thanks for working on this, been meaning to look into it myself for awhile.

Comment 4 Michael Cullen 2016-05-02 02:41:01 UTC
Completely UNOFFICIAL comments following:

* the Source0 URL is not a direct link to the tarball (it goes to sourceforge's redirect page)
=> https://fedoraproject.org/wiki/Packaging:SourceURL?rd=Packaging/SourceURL#Sourceforge.net suggests 

Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz

* 0.23 just came out (minor point since it came out after this was submitted)
* Package installs and seems to run correctly

Comment 5 Rex Dieter 2016-05-02 17:03:03 UTC
I can do a formal review today.

Comment 6 Rex Dieter 2016-05-02 17:12:57 UTC
naming: ok

sources: ok
28af9b3aa030fb31c00932453e59f635  qt5ct-0.22.tar.bz2

though I agree per comment #4 above,
1.  SHOULD update URL to match SourceURL guidelines for sourceforge projects

license: ok

macros: mostly ok
2.  SHOULD:  %make_install should be used only for autoconf-based packages, use instead:
make install INSTALL_ROOT=%{buildroot}

scriptlets: NOT ok
3.  SHOULD remove not-needed ldconfig and icon scriptlets.  This package contains neither any shared libraries or icons.

I don't see any blockers, but please consider addressing those 3 SHOULD items prior to doing any official builds.


APPROVED

Comment 7 Christian Dersch 2016-05-02 17:28:38 UTC
Done, thank you for reviewing :) I'll also import the new version 0.23 released some days ago.

Comment 8 Gwyn Ciesla 2016-05-02 19:17:18 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/qt5ct

Comment 9 Fedora Update System 2016-05-03 08:56:50 UTC
qt5ct-0.23-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-19c9d2ffbf

Comment 10 Fedora Update System 2016-05-03 08:57:50 UTC
qt5ct-0.23-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-002673fb41

Comment 11 Fedora Update System 2016-05-03 08:58:44 UTC
qt5ct-0.23-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-93684d7e11

Comment 12 Fedora Update System 2016-05-03 08:59:30 UTC
qt5ct-0.23-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-64b17587f7

Comment 13 Fedora Update System 2016-05-03 11:22:38 UTC
qt5ct-0.23-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-19c9d2ffbf

Comment 14 Fedora Update System 2016-05-07 11:39:48 UTC
qt5ct-0.23-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-05-13 05:26:07 UTC
qt5ct-0.23-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-93684d7e11

Comment 16 Fedora Update System 2016-05-13 05:32:32 UTC
qt5ct-0.23-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-002673fb41

Comment 17 Fedora Update System 2016-05-13 06:54:08 UTC
qt5ct-0.23-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-64b17587f7

Comment 18 Fedora Update System 2016-05-20 23:51:46 UTC
qt5ct-0.23-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-05-20 23:53:56 UTC
qt5ct-0.23-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-05-27 23:50:07 UTC
qt5ct-0.23-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.